path: /build/build/iputils-net-misc-20210722.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-idn -static -test -traceroute6 caps filecaps nls" emerge net-misc/iputils -pv -t
  - |
    USE="-idn -static -test -traceroute6 caps filecaps nls" emerge -j ${JOBS} --nodeps net-misc/iputils
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/iputils && luet-portage --dir
    /pkgdir/iputils net-misc/iputils
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:afdf9e06951188cba5b0d469396d9153f0b1ffec0894fa001124084f2e815dd1
  package:
    name: iputils
    version: "20210722"
    category: net-misc
    use_flags:
    - -idn
    - -static
    - -test
    - -traceroute6
    - caps
    - filecaps
    - nls
    requires:
    - name: macaroni-funtoo-race2
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Network monitoring tools including ping and ping6
    uri:
    - https://wiki.linuxfoundation.org/networking/iputils
    license: BSD GPL-2+ rdisc
    buildtimestamp: 2023-08-15 11:25:08.34606462 +0000 UTC m=+54.780260664
    labels:
      BDEPEND: virtual/pkgconfig test? ( sys-apps/iproute2 ) nls? ( sys-devel/gettext
        ) >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2 virtual/pkgconfig
      DEPEND: traceroute6? ( !net-analyzer/traceroute ) !static? ( caps? ( sys-libs/libcap
        ) idn? ( net-dns/libidn2:= ) nls? ( virtual/libintl ) ) virtual/os-headers
        static? ( caps? ( sys-libs/libcap[static-libs(+)] ) idn? ( net-dns/libidn2:=[static-libs(+)]
        ) nls? ( virtual/libintl[static-libs(+)] ) ) filecaps? ( sys-libs/libcap )
      IUSE: +arping caps clockdiff doc gcrypt idn ipv6 nettle nls rarpd rdisc ssl
        static test tftpd tracepath traceroute6 +filecaps
      RDEPEND: traceroute6? ( !net-analyzer/traceroute ) !static? ( caps? ( sys-libs/libcap
        ) idn? ( net-dns/libidn2:= ) nls? ( virtual/libintl ) )
      emerge.packages: net-misc/iputils
      kit: core-kit
      original.package.name: net-misc/iputils
      original.package.slot: "0"
      original.package.version: "20210722"
    treedir: /build/packages
  package_dir: /pkgdir/iputils
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 82e7629457af1ce3a1572fdb0952d1f71222802bc7357446e8377eb76bcf7834
compressiontype: zstd
files:
- bin/arping
- bin/ping
- bin/ping4
- bin/ping6
- usr/share/doc/iputils-20210722/CHANGES.bz2
- usr/share/doc/iputils-20210722/README.md.bz2
- usr/share/locale/de/LC_MESSAGES/iputils.mo
- usr/share/locale/fr/LC_MESSAGES/iputils.mo
- usr/share/locale/ja/LC_MESSAGES/iputils.mo
- usr/share/locale/pt_BR/LC_MESSAGES/iputils.mo
- usr/share/locale/tr/LC_MESSAGES/iputils.mo
- usr/share/locale/uk/LC_MESSAGES/iputils.mo
- usr/share/locale/zh_CN/LC_MESSAGES/iputils.mo
- usr/share/man/man8/arping.8.bz2
- usr/share/man/man8/ping.8.bz2
- var/db/pkg/net-misc/iputils-20210722/BDEPEND
- var/db/pkg/net-misc/iputils-20210722/BUILD_TIME
- var/db/pkg/net-misc/iputils-20210722/CATEGORY
- var/db/pkg/net-misc/iputils-20210722/CBUILD
- var/db/pkg/net-misc/iputils-20210722/CC
- var/db/pkg/net-misc/iputils-20210722/CFLAGS
- var/db/pkg/net-misc/iputils-20210722/CHOST
- var/db/pkg/net-misc/iputils-20210722/CONTENTS
- var/db/pkg/net-misc/iputils-20210722/COUNTER
- var/db/pkg/net-misc/iputils-20210722/CXXFLAGS
- var/db/pkg/net-misc/iputils-20210722/DEFINED_PHASES
- var/db/pkg/net-misc/iputils-20210722/DEPEND
- var/db/pkg/net-misc/iputils-20210722/DESCRIPTION
- var/db/pkg/net-misc/iputils-20210722/EAPI
- var/db/pkg/net-misc/iputils-20210722/FEATURES
- var/db/pkg/net-misc/iputils-20210722/HOMEPAGE
- var/db/pkg/net-misc/iputils-20210722/INHERITED
- var/db/pkg/net-misc/iputils-20210722/IUSE
- var/db/pkg/net-misc/iputils-20210722/IUSE_EFFECTIVE
- var/db/pkg/net-misc/iputils-20210722/KEYWORDS
- var/db/pkg/net-misc/iputils-20210722/LDFLAGS
- var/db/pkg/net-misc/iputils-20210722/LICENSE
- var/db/pkg/net-misc/iputils-20210722/NEEDED
- var/db/pkg/net-misc/iputils-20210722/PF
- var/db/pkg/net-misc/iputils-20210722/RDEPEND
- var/db/pkg/net-misc/iputils-20210722/REQUIRES
- var/db/pkg/net-misc/iputils-20210722/RESTRICT
- var/db/pkg/net-misc/iputils-20210722/SIZE
- var/db/pkg/net-misc/iputils-20210722/SLOT
- var/db/pkg/net-misc/iputils-20210722/USE
- var/db/pkg/net-misc/iputils-20210722/environment.bz2
- var/db/pkg/net-misc/iputils-20210722/iputils-20210722.ebuild
- var/db/pkg/net-misc/iputils-20210722/repository
package_cacheimage: ""
runtime:
  name: iputils
  version: "20210722"
  category: net-misc
  use_flags:
  - -idn
  - -static
  - -test
  - -traceroute6
  - caps
  - filecaps
  - nls
  requires:
  - name: libcap
    version: '>=0'
    category: sys-libs
  - name: libintl
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Network monitoring tools including ping and ping6
  uri:
  - https://wiki.linuxfoundation.org/networking/iputils
  license: BSD GPL-2+ rdisc
  labels:
    BDEPEND: virtual/pkgconfig test? ( sys-apps/iproute2 ) nls? ( sys-devel/gettext
      ) >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2 virtual/pkgconfig
    DEPEND: traceroute6? ( !net-analyzer/traceroute ) !static? ( caps? ( sys-libs/libcap
      ) idn? ( net-dns/libidn2:= ) nls? ( virtual/libintl ) ) virtual/os-headers static?
      ( caps? ( sys-libs/libcap[static-libs(+)] ) idn? ( net-dns/libidn2:=[static-libs(+)]
      ) nls? ( virtual/libintl[static-libs(+)] ) ) filecaps? ( sys-libs/libcap )
    IUSE: +arping caps clockdiff doc gcrypt idn ipv6 nettle nls rarpd rdisc ssl static
      test tftpd tracepath traceroute6 +filecaps
    RDEPEND: traceroute6? ( !net-analyzer/traceroute ) !static? ( caps? ( sys-libs/libcap
      ) idn? ( net-dns/libidn2:= ) nls? ( virtual/libintl ) )
    emerge.packages: net-misc/iputils
    kit: core-kit
    original.package.name: net-misc/iputils
    original.package.slot: "0"
    original.package.version: "20210722"
